Subject: Re: [PATCH RESEND] ip_gre: sendto/recvfrom NBMA address

From: Patrick McHardy <[email-masked]>
Date: Tue, 23 Oct 2007 18:10:20 +0200

Timo Teräs wrote:
> When GRE tunnel is in NBMA mode, this patch allows an application to use
> a PF_PACKET socket to:
> - send a packet to specific NBMA address with sendto()
> - use recvfrom() to receive packet and check which NBMA address it 
> came from
>
> This is required to implement properly NHRP over GRE tunnel.
>
> Signed-off-by: Timo Teras <[email-masked]>
>
> ---
> Patrick McHardy wrote:
>> Your mailer mangled tabs, it won't apply like this. Try sending to
>> yourself for testing, then repost when it works properly.
>
> Tabs were ok, I think. But somehow it seems that cut'n'paste from my
> default editor loses the space from context lines. It should be good now.

Might have been a problem on my side, I just updated my mailer
and it still displays tabs broken, but the actual patch seems
fine. Sorry for the noise ...